Bug 1029142 - Review Request: amplab-tachyon - Reliable File Sharing at Memory Speed Across Cluster Frameworks
Summary: Review Request: amplab-tachyon - Reliable File Sharing at Memory Speed Across...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Farrellee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2013-11-11 18:35 UTC by Timothy St. Clair
Modified: 2013-12-23 19:47 UTC (History)
6 users (show)

Fixed In Version: amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-14 03:23:39 UTC
Type: ---
matt: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Timothy St. Clair 2013-11-11 18:35:23 UTC
Spec URL: http://tstclair.fedorapeople.org/tachyon/amplab-tachyon.spec
SRPM URL: http://tstclair.fedorapeople.org/tachyon/amplab-tachyon-0.4.0-3.9d66149.fc21.src.rpm
Description: Reliable File Sharing at Memory Speed Across Cluster Frameworks
Fedora Account System Username: tstclair

Comment 1 Timothy St. Clair 2013-11-11 18:40:40 UTC
Notes in checking: 

Checking: amplab-tachyon-0.4.0-3.9d66149.fc21.noarch.rpm
          amplab-tachyon-javadoc-0.4.0-3.9d66149.fc21.noarch.rpm
          amplab-tachyon-0.4.0-3.9d66149.fc21.src.rpm
amplab-tachyon.noarch: W: only-non-binary-in-usr-lib
amplab-tachyon.noarch: E: non-executable-script /etc/tachyon/tachyon-env.sh 0644L /usr/bin/env

^ This is expected, and follows other packages like hadoop

amplab-tachyon.noarch: W: non-standard-uid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-uid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: log-files-without-logrotate /var/log/tachyon

^ on purpose

amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-stop.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-slaves.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-clear-cache.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-killall.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-mount.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-copy-dir.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-start.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-format.sh
amplab-tachyon.src: W: strange-permission tachyon-layout.sh 0775L

3 packages and 0 specfiles checked; 1 errors, 16 warnings.

Comment 2 gil cattaneo 2013-11-12 00:36:18 UTC
please, fix release tag for 0.4.0-SNAPSHOT
should be 0.3.9d66149 or 0.3.SNAPSHOT.9d66149
and patch should be tachyon-0.4.0-SNAPSHOT-log4props.patch

Comment 4 gil cattaneo 2013-11-12 16:27:30 UTC
please edit changelog entries

* Thu Nov 7 2013 Timothy St. Clair<tstclair@redhat.com> 0.4.0-0.3.SNAPSHOT.9d66149
- Modifications from system testing.

* Mon Nov 4 2013 Timothy St. Clair<tstclair@redhat.com> 0.4.0-0.2.SNAPSHOT.9d66149
- System integration and testing.

* Mon Oct 28 2013 Timothy St. Clair <tstclair@redhat.com> 0.4.0-0.1.SNAPSHOT.9d66149

there was already a discussion about it in the list of development of this misuse

Comment 5 Timothy St. Clair 2013-11-12 19:57:23 UTC
updated, same URL's.

Comment 6 Timothy St. Clair 2013-11-15 16:06:12 UTC
Patches accepted upstream, shifting url's to upstream.

srpm: http://tstclair.fedorapeople.org/tachyon/amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc21.src.rpm

spec: http://tstclair.fedorapeople.org/tachyon/amplab-tachyon.spec

Comment 7 Matthew Farrellee 2013-11-15 21:38:03 UTC
Please address the [!]'s below.

Also, what's a good way to verify the package functions as expected?

--

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /etc/tmpfiles.d/tachyon.conf
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 21 files have unknown license.
     Detailed output of licensecheck in /tmp/1029142-amplab-
     tachyon/licensecheck.txt
 REVIEW NOTE: 21 files w/ unknown license are generated by the Thrift Compiler
[X]: License file installed when any subpackage combination is installed.
[X]: Package requires other packages for directories it uses.
     Note: No known owner of /var/lib/tachyon
 REVIEW NOTE: Assumed no need for tachyon in setup (/etc/passwd)
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd/system,
     /usr/lib/systemd, /var/lib/tachyon, /etc/tmpfiles.d
 REVIEW NOTE: AFAIK no dep is required on systemd itself, which provides these dirs.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
 REVIEW COMMENT: %name and ${name} used, pick one
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in amplab-
     tachyon-javadoc
[ ]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
 REVIEW COMMENT: Not present, please justify
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[X]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc21.noarch.rpm
          amplab-tachyon-javadoc-0.4.0-4.SNAPSHOT.515c2c8.fc21.noarch.rpm
          amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc21.src.rpm
amplab-tachyon.noarch: W: only-non-binary-in-usr-lib
amplab-tachyon.noarch: E: non-executable-script /etc/tachyon/tachyon-env.sh 0644L /usr/bin/env

 REVIEW COMMENT: Ok

amplab-tachyon.noarch: W: non-standard-uid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-uid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: log-files-without-logrotate /var/log/tachyon

 REVIEW COMMENT: Ok, if you say there's no need for tachyon in setup

amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-start.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-stop.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-slaves.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-mount.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon
amplab-tachyon.src: W: strange-permission tachyon-layout.sh 0775L

 REVIEW COMMENT: Please file a BZ for the missing manual pages

3 packages and 0 specfiles checked; 1 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint amplab-tachyon amplab-tachyon-javadoc
amplab-tachyon.noarch: W: only-non-binary-in-usr-lib
amplab-tachyon.noarch: E: non-executable-script /etc/tachyon/tachyon-env.sh 0644L /usr/bin/env
amplab-tachyon.noarch: W: non-standard-uid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/lib/tachyon/journal tachyon
amplab-tachyon.noarch: W: non-standard-uid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: non-standard-gid /var/log/tachyon tachyon
amplab-tachyon.noarch: W: log-files-without-logrotate /var/log/tachyon
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-start.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-stop.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-slaves.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon-mount.sh
amplab-tachyon.noarch: W: no-manual-page-for-binary tachyon
2 packages and 0 specfiles checked; 1 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
amplab-tachyon (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    config(amplab-tachyon)
    java
    jpackage-utils
    mvn(commons-io:commons-io)
    mvn(log4j:log4j)
    mvn(org.apache.ant:ant)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.apache.curator:curator-recipes)
    mvn(org.apache.hadoop:hadoop-common)
    mvn(org.apache.hadoop:hadoop-hdfs)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-core)
    mvn(org.apache.thrift:libthrift)
    mvn(org.eclipse.jetty:jetty-server)
    mvn(org.eclipse.jetty:jetty-servlet)
    mvn(org.eclipse.jetty:jetty-webapp)
    mvn(org.glassfish.web:javax.servlet.jsp)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)

amplab-tachyon-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
amplab-tachyon:
    amplab-tachyon
    config(amplab-tachyon)
    mvn(org.tachyonproject:tachyon)

amplab-tachyon-javadoc:
    amplab-tachyon-javadoc



Source checksums
----------------
https://github.com/amplab/tachyon/archive/515c2c84b3e402c723e46fcc9f2b885ca39a51b0/tachyon-0.4.0-515c2c8.tar.gz :
  CHECKSUM(SHA256) this package     : 917499a65b46a22529259c1bbbaee39641a637fe1acecbadba4ae9fe24fa9145
  CHECKSUM(SHA256) upstream package : 917499a65b46a22529259c1bbbaee39641a637fe1acecbadba4ae9fe24fa9145


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 1029142 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 8 Timothy St. Clair 2013-11-18 17:15:10 UTC
In Order: 

>[X]: License field in the package spec file matches the actual license.
>     Note: Checking patched sources after %prep for licenses. Licenses found:
>     "Apache (v2.0)", "Unknown or generated". 21 files have unknown license.
>     Detailed output of licensecheck in /tmp/1029142-amplab-
>     tachyon/licensecheck.txt
> REVIEW NOTE: 21 files w/ unknown license are generated by the Thrift Compiler

Expected.  Thrift re-generation is done due to upstream version mismatch.

>[X]: Package must own all directories that it creates.
>     Note: Directories without known owners: /usr/lib/systemd/system,
>     /usr/lib/systemd, /var/lib/tachyon, /etc/tmpfiles.d
> REVIEW NOTE: AFAIK no dep is required on systemd itself, which provides these >dirs.

I don't exactly know what you are trying to say here.  I adhered to the policies outlined here: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

>[!]: Package consistently uses macros (instead of hard-coded directory names).
> REVIEW COMMENT: %name and ${name} used, pick one

All .spec elements use either %{name} or reference variable %{shortname}.  This is done b/c of namespace collision with existing packages. 


>[!]: Fully versioned dependency in subpackages if applicable.
>     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in amplab-
>     tachyon-javadoc

Not applicable in this space.  Typically compat packages are explicitly specified in the java space.  


> [!]: %check is present and all tests pass.
> REVIEW COMMENT: Not present, please justify

This is typically not done in java packaging because (%mvn_build) by default runs the unit tests for a java package.  e.g. It's not standard practice in the java space for Fedora 19 & >. (https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven)

Comment 9 Matthew Farrellee 2013-11-18 17:32:15 UTC
(In reply to Timothy St. Clair from comment #8)
> In Order: 
> 
> >[X]: License field in the package spec file matches the actual license.
> >     Note: Checking patched sources after %prep for licenses. Licenses found:
> >     "Apache (v2.0)", "Unknown or generated". 21 files have unknown license.
> >     Detailed output of licensecheck in /tmp/1029142-amplab-
> >     tachyon/licensecheck.txt
> > REVIEW NOTE: 21 files w/ unknown license are generated by the Thrift Compiler
> 
> Expected.  Thrift re-generation is done due to upstream version mismatch.
> 
> >[X]: Package must own all directories that it creates.
> >     Note: Directories without known owners: /usr/lib/systemd/system,
> >     /usr/lib/systemd, /var/lib/tachyon, /etc/tmpfiles.d
> > REVIEW NOTE: AFAIK no dep is required on systemd itself, which provides these >dirs.
> 
> I don't exactly know what you are trying to say here.  I adhered to the
> policies outlined here:
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Just notes to myself, or other reviewers.



> >[!]: Package consistently uses macros (instead of hard-coded directory names).
> > REVIEW COMMENT: %name and ${name} used, pick one
> 
> All .spec elements use either %{name} or reference variable %{shortname}. 
> This is done b/c of namespace collision with existing packages. 

At least _sysconfdir shows up as %_sysconfdir and %{_sysconfdir}


> >[!]: Fully versioned dependency in subpackages if applicable.
> >     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in amplab-
> >     tachyon-javadoc
> 
> Not applicable in this space.  Typically compat packages are explicitly
> specified in the java space.  

Ok.


> > [!]: %check is present and all tests pass.
> > REVIEW COMMENT: Not present, please justify
> 
> This is typically not done in java packaging because (%mvn_build) by default
> runs the unit tests for a java package.  e.g. It's not standard practice in
> the java space for Fedora 19 & >.
> (https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven)

Ok

Comment 10 Timothy St. Clair 2013-11-18 17:53:29 UTC
> At least _sysconfdir shows up as %_sysconfdir and %{_sysconfdir}

Updated.  Same URL's as before (no rev change).

Comment 11 Matthew Farrellee 2013-11-18 18:09:42 UTC
(In reply to Timothy St. Clair from comment #10)
> > At least _sysconfdir shows up as %_sysconfdir and %{_sysconfdir}
> 
> Updated.  Same URL's as before (no rev change).

Ok, it looks good to me now.

This is my first review in some time so I'd like some mentor help from willb to at least check my work and +1.

Comment 12 Will Benton 2013-11-18 19:36:07 UTC
Looks pretty clean to me; I'll give it a +1 modulo two minor points. (1) The summary probably shouldn't be in titlecase, and (2) it would be great if you had URLs for sources 1-5 (github or fedorapeople would be fine).

Comment 13 Timothy St. Clair 2013-11-18 19:57:05 UTC
Updated: same URL's

Notes: 
---------------------------------------
ack re: 1, and updated. 

nack re: 2, b/c it's part of the srpm and would be in the packaging repo.  Thus once accepted canonical would be fedora packaging repo.  But for temporary ref, url is: https://github.com/timothysc/tachyon-rpm

Comment 14 Timothy St. Clair 2013-11-18 20:21:35 UTC
I'd be happy to change #2 if there is a cited fedora policy reference.

Comment 15 Will Benton 2013-11-18 20:33:28 UTC
Just make the auxiliary source tags contain URLs (these need not be permanent, canonical locators).  This makes the spec file self-contained.

By policy, in almost every case, source tags should contain URLs:

   https://fedoraproject.org/wiki/Packaging:Guidelines#Tags

(There are exceptions — for source tarballs that aren't available by direct download, or that are from revision control, or that need to be rearchived without unacceptable materials — but they don't apply in these cases.)

The upstream RPM documentation also points out that "it's generally considered best to put [source tag] information in the form of a Uniform Resource Locator (URL):"

   http://www.rpm.org/max-rpm/s1-rpm-build-creating-spec-file.html

Comment 16 Will Benton 2013-11-18 21:04:16 UTC
I'll note for the record that the existing guidelines do not address this issue — in which source tags are used essentially to provide substantial, downstream-specific patches — explicitly.  If these sources were instead formulated as patches, they could live in distgit without issue.  But since there is some benefit to specifying URLs for these pieces, and since there is a canonical location for them (both now and in the future), there is essentially no downside to specifying URLs in these cases.

(As an example, note that thrift's package uses source URLs for downstream-specific components including the manpage, which was contributed by Debian packagers for the Debian thrift package, and POM files, which are from Maven Central.)

Comment 17 Timothy St. Clair 2013-11-18 21:05:46 UTC
Updated: same URL's

ack 2.

Comment 18 Matthew Farrellee 2013-11-18 21:16:05 UTC
Thanks for the help willb!

Comment 19 Timothy St. Clair 2013-11-18 21:24:51 UTC
New Package SCM Request
=======================
Package Name: amplab-tachyon
Short Description: Reliable file sharing at memory speed across cluster frameworks
Owners: tstclair
Branches: f20
InitialCC: java-sig

Comment 20 Dominik 'Rathann' Mierzejewski 2013-11-19 00:06:23 UTC
This conflicts with tachyon package which is already in Fedora.

I think you need to rename /usr/bin/tachyon to something else at least.

Comment 21 Timothy St. Clair 2013-11-19 02:21:16 UTC
Updated, same URL's: 
(/usr/bin/tachyon -> /usr/bin/tachyon.sh) no conflicts.

Comment 22 Gwyn Ciesla 2013-11-19 13:04:36 UTC
Git done (by process-git-requests).

Comment 23 Fedora Update System 2013-11-20 04:15:11 UTC
amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc20

Comment 24 Fedora Update System 2013-11-24 03:29:35 UTC
amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc20 has been pushed to the Fedora 20 testing repository.

Comment 25 Fedora Update System 2013-12-14 03:23:39 UTC
amplab-tachyon-0.4.0-4.SNAPSHOT.515c2c8.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.